---
schema_version: "1"
id: 9b3f939407c52a889a18f9449e1ee4bce1487b11f280649b894c856791a6aff3
title: Data Slots (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-slots.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-slots
source_site: developer.salesforce.com
content_type: documentation
content_hash: 451c8ace7bd4a7b384b530eb6099d1e1c1030e45abe75ef10f054ed63462d1b4
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Slots (deprecated)

# Data Slots (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get Slots

`GET /sites/{site_id}/slots`

Operation ID: `Get Slots`. Tags: sites. Security: oauth2\_application.

Action to get all the slots with no filtering. Fetches the slot entities which are already populated in the database by crawling the active code.

#### Parameters

*   `site_id` (path, string, required) The id of the site.  
    Minimum length: 1.
*   `start` (query, integer (int32)) Optional start index for retrieving the items from a given index (default 0).
*   `count` (query, integer (int32)) Optional count for retrieving only a subset of the items (default is 25).
*   `select` (query, string) The property selector.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `slots`.
    

### GET Get slot configuration

`GET /sites/{site_id}/slots/{slot_id}/slot_configurations/{configuration_id}`

Operation ID: `Get slot configuration`. Tags: sites. Security: oauth2\_application.

Action to read an existing slot configuration.

This endpoint may return the following faults:

*   400 - InvalidContextTypeException - Thrown if the specified context type is invalid.
*   400 - MissingSlotConfigurationContextIdException - Thrown if the specified context id for given context 'category' or 'folder' is missing.
*   404 - SlotConfigurationNotFoundException - Thrown if there was no slot configuration found for the specified configuration id.
*   404 - SlotNotFoundException - Throw if there was no slot with the specified id found for the requested site.

#### Parameters

*   `site_id` (path, string, required) The id of the site for which you want to create the slot configuration.  
    Minimum length: 1. Maximum length: 32.
*   `slot_id` (path, string, required) The id of the slot.  
    Minimum length: 1. Maximum length: 256.
*   `configuration_id` (path, string, required) The id of the slot configuration.  
    Minimum length: 1. Maximum length: 256.
*   `context` (query, string) The context string, which consists of three parts: the context type (which must be _folder_ , _category_ or _global_ ), an equals sign ( **\=** ), and the context id (either the category id or folder id). If you do not set this query parameter, the global context is used by default.

#### Responses

*   **400** `InvalidContextTypeException` - Thrown if the specified context type is invalid. or `MissingSlotConfigurationContextIdException` - Thrown if the specified context id for given context 'category' or 'folder' is missing.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `SlotConfigurationNotFoundException` - Thrown if there was no slot configuration found for the specified configuration id. or `SlotNotFoundException` - Throw if there was no slot with the specified id found for the requested site.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `slot_configuration`.
    

### PUT Create slot configuration

`PUT /sites/{site_id}/slots/{slot_id}/slot_configurations/{configuration_id}`

Operation ID: `Create slot configuration`. Tags: sites. Security: oauth2\_application.

Creates a new configuration for an existing slot. If a slot configuration exists with the specified configuration\_id, slot\_id, and context, the existing slot configuration is overwritten.

This endpoint may return the following faults:

*   400 - IdConflictException - if the Id in request is not the same as the ID in document.
*   400 - InvalidContextTypeException - Thrown if the specified context type is invalid.
*   400 - MissingSlotConfigurationContextIdException - Thrown if the specified context id for given context 'category' or 'folder' is missing.
*   404 - ContentNotFoundException - Thrown if content asset does not exist in the library of the current domain but is assigned during creation of the configuration.
*   404 - SlotNotFoundException - Thrown if there was no slot with the given id found for the requested site.

#### Parameters

*   `site_id` (path, string, required) The id of the site for which you want to create the slot configuration.  
    Minimum length: 1. Maximum length: 32.
*   `slot_id` (path, string, required) The id of the slot.  
    Minimum length: 1. Maximum length: 256.
*   `configuration_id` (path, string, required) The id of the slot configuration.  
    Minimum length: 1. Maximum length: 256.
*   `context` (query, string) The context string, which consists of three parts: the context type (which must be _folder_ , _category_ or _global_ ), an equals sign ( **\=** ), and the context id (either the category id or folder id). If you do not set this query parameter, the global context is used by default.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `slot_configuration`.

#### Responses

*   **400** `IdConflictException` - if the Id in request is not the same as the ID in document. or `InvalidContextTypeException` - Thrown if the specified context type is invalid. or `MissingSlotConfigurationContextIdException` - Thrown if the specified context id for given context 'category' or 'folder' is missing.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `ContentNotFoundException` - Thrown if content asset does not exist in the library of the current domain but is assigned during creation of the configuration. or `SlotNotFoundException` - Thrown if there was no slot with the given id found for the requested site.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `slot_configuration`.
    

### DELETE Delete slot configuration

`DELETE /sites/{site_id}/slots/{slot_id}/slot_configurations/{configuration_id}`

Operation ID: `Delete slot configuration`. Tags: sites. Security: oauth2\_application.

Removes a configuration for slot in a given context from a site.

This endpoint may return the following faults:

*   400 - InvalidContextTypeException - Thrown if the specified context type is invalid.
*   404 - SlotNotFoundException - Throw if there was no slot with the specified id found for the requested site.

#### Parameters

*   `site_id` (path, string, required) The id of the site for which you want to create the slot configuration.  
    Minimum length: 1. Maximum length: 32.
*   `slot_id` (path, string, required) The id of the slot.  
    Minimum length: 1. Maximum length: 256.
*   `configuration_id` (path, string, required) The id of the slot configuration.  
    Minimum length: 1. Maximum length: 256.
*   `context` (query, string) The context string, which consists of three parts: the context type (which must be _folder_ , _category_ or _global_ ), an equals sign ( **\=** ), and the context id (either the category id or folder id). If you do not set this query parameter, the global context is used by default.

#### Responses

*   **204**
*   **400** `InvalidContextTypeException` - Thrown if the specified context type is invalid.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `SlotNotFoundException` - Throw if there was no slot with the specified id found for the requested site.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    

### PATCH Update slot configuration

`PATCH /sites/{site_id}/slots/{slot_id}/slot_configurations/{configuration_id}`

Operation ID: `Update slot configuration`. Tags: sites. Security: oauth2\_application.

Updates an existing slot configuration. This action ignores the slot\_id and the context information in the input document. Note that this operation will not touch any relational properties, which means, that e.g. the rank on a specific campaign assignment will not be changed, when the rank for the slot configuration itself is updated.

This endpoint may return the following faults:

*   400 - InvalidContextTypeException - Thrown if the specified context type is invalid.
*   400 - MissingSlotConfigurationContextIdException - Thrown if the specified context id for given context 'category' or 'folder' is missing.
*   404 - ContentNotFoundException - Thrown if content asset does not exist in the library of the current domain but is assigned during update.
*   404 - SlotConfigurationNotFoundException - Thrown if there was no slot configuration found for the specified configuration id.
*   404 - SlotNotFoundException - Thrown if there was no slot with the given id found for the requested site.
*   409 - SlotConfigurationAlreadyExistsException - Thrown if the configuration ID should be updated into one that is already assigned.

#### Parameters

*   `site_id` (path, string, required) The id of the site for which you want to create the slot configuration.  
    Minimum length: 1. Maximum length: 32.
*   `slot_id` (path, string, required) The id of the slot.  
    Minimum length: 1. Maximum length: 256.
*   `configuration_id` (path, string, required) The id of the slot configuration.  
    Minimum length: 1. Maximum length: 256.
*   `context` (query, string) The context string, which consists of three parts: the context type (which must be _folder_ , _category_ or _global_ ), an equals sign ( **\=** ), and the context id (either the category id or folder id). If you do not set this query parameter, the global context is used by default.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `slot_configuration`.

#### Responses

*   **400** `InvalidContextTypeException` - Thrown if the specified context type is invalid. or `MissingSlotConfigurationContextIdException` - Thrown if the specified context id for given context 'category' or 'folder' is missing.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `ContentNotFoundException` - Thrown if content asset does not exist in the library of the current domain but is assigned during update. or `SlotConfigurationNotFoundException` - Thrown if there was no slot configuration found for the specified configuration id. or `SlotNotFoundException` - Thrown if there was no slot with the given id found for the requested site.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **409** `SlotConfigurationAlreadyExistsException` - Thrown if the configuration ID should be updated into one that is already assigned.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `slot_configuration`.
    

### GET Get Slot

`GET /sites/{site_id}/slots/{slot_id}/{context_type}`

Operation ID: `Get Slot`. Tags: sites. Security: oauth2\_application.

Action to get slot information. Fetches the slot entities which are already populated in the database by crawling the active code.

This endpoint may return the following faults:

*   404 - SlotNotFoundException - Indicates the slot does not exist matching the given id.

#### Parameters

*   `site_id` (path, string, required) The site context.  
    Minimum length: 1.
*   `slot_id` (path, string, required) The id of the requested slot.  
    Minimum length: 1.
*   `context_type` (path, string, required) The context type (folder, global, category).
*   `select` (query, string) The property selector. If not passed, then the default selector will be used.

#### Responses

*   **404** `SlotNotFoundException` - Indicates the slot does not exist matching the given id.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `slot`.
    

## Schemas

### slots

Document representing an unfiltered list of slots.

*   `count` (_integer (int32)_) The number of returned documents.
*   `data` (_array of slot_)
*   `expand` (_array of string_) The list of expands set for the search request. Expands are optional.
*   `next` (_string_) The URL of the next result page.
*   `previous` (_string_) The URL of the previous result page.
*   `select` (_string_) The fields that you want to select.
*   `start` (_integer (int32)_) The zero-based index of the first search hit to include in the result.  
    Minimum: 0.
*   `total` (_integer (int32)_) The total number of documents.

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.

### slot\_configuration

Document representing a slot configuration.

*   `assignment_information` (_slot\_configuration\_assignment\_information_) Information about the assignments and assignment schedules of this slot configuration
*   `callout_msg` (_object (localized)_) The call out message.
    
    Additional properties: `markup_text`.
    
*   `configuration_id` (_string_) The id of this configuration.  
    Minimum length: 1. Maximum length: 256.
*   `context` (_string_) The context of the slot. Ignored in input documents.  
    Allowed values: `global`, `category`, `folder`.
*   `context_id` (_string_) When the context is _category_, this is a _category\_id_; when the context is _folder_, this is a _folder\_id_; and when the context is _global_, this is obsolete. This is ignored in input documents.
*   `creation_date` (_string (date-time)_, read-only) Returns the value of attribute 'creationDate'.
*   `customer_groups` (_array of string_) The customer groups ids.
*   `default` (_boolean_) A flag indicating whether the configuration is the default one for the slot.
*   `description` (_string_) The configuration description.  
    Maximum length: 4000.
*   `enabled` (_boolean_) A flag indicating whether the slot is enabled.
*   `last_modified` (_string (date-time)_, read-only) Returns the value of attribute 'lastModified'.
*   `link` (_string_) The link.
*   `rank` (_integer (int32)_) The rank of the slot configuration on its slot. This rank has nothing to do with the rank on any campaign-assignment, because these are completely different objects. These must be updated separately.  
    Allowed values: `10`, `20`, `30`, `40`, `50`, `60`, `70`, `80`, `90`, `100`. Minimum: 1.
*   `schedule` (_schedule_) The schedule for the slot.
*   `slot_content` (_slot\_content_, required) The content of the slot.
*   `slot_id` (_string_) The ID of the slot. Ignored in input documents.  
    Minimum length: 1. Maximum length: 256.
*   `template` (_string_) The template.  
    Maximum length: 256.
*   `uuid` (_string_, read-only) The uuid of the slot configuration. This property cannot be written and is ignored in input documents.  
    Minimum length: 1. Maximum length: 28.

_Example_

```
{
  "assigned_to_site": true,
  "callout_msg": {
    "default": "some message"
  },
  "configuration_id": "2015-06-24_16:33:18",
  "context": "global",
  "customer_groups": [
    "Administrators",
    "Registered"
  ],
  "default": true,
  "description": "slot configuration description",
  "enabled": true,
  "rank": 2,
  "schedule": {
    "end_date": "2022-03-28T23:21:00.000Z",
    "recurrence": {
      "day_of_week": [
        "monday",
        "sunday"
      ],
      "time_of_day": {
        "time_from": "00:00:00",
        "time_to": "23:59:00"
      }
    },
    "start_date": "2013-03-28T23:21:00.000Z"
  },
  "slot_content": {
    "body": {
      "default": "<html>HTML content</html>"
    },
    "type": "html"
  },
  "slot_id": "header-banner",
  "uuid": "fsdoi43ofijwdf"
}
```

### slot

Document representing a slot

*   `context_type` (_string_) A slot context  
    Allowed values: `global`, `category`, `folder`.
*   `creation_date` (_string (date-time)_)
*   `description` (_string_) The user supplied description of the slot  
    Maximum length: 4000.
*   `last_modified` (_string (date-time)_)
*   `link` (_string_) A link to the slot
*   `preview_url` (_string_) A preview URL the slot
*   `slot_configurations` (_array of slot\_configuration_) A list of slotconfigurations this slot has
*   `slot_id` (_string_, required) The id for the slot  
    Minimum length: 1. Maximum length: 256.

_Example_

```
{
  "context_type": "global",
  "description": "description for slot",
  "link": "https://example.com/s/-/dw/data/{version}/sites/SiteGenesis/slots/my-slot/global",
  "slot_configurations": {
    "assignment_information": {
      "active": false,
      "enabled": false,
      "schedule_type": "none"
    },
    "configuration_id": "my-config",
    "context": "global",
    "default": false,
    "enabled": true,
    "link": "https://example.com/s/-/dw/data/{version}/sites/SiteGenesis/slots/my-slot/slot_configurations/Account%20Banner",
    "slot_content": {
      "type": "html"
    },
    "slot_id": "my-slot",
    "template": "slots/html/htmlslotcontainer.isml",
    "uuid": "cw6YLaOace0MUqwcsju07iKn3j"
  },
  "slot_id": "my-slot"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### slot\_configuration\_assignment\_information

*   `abtest_id` (_string_) If there is only one assignment, and that assignment is an A/B test segment, the id of the A/B test the segment belongs to. Otherwise, empty.
*   `abtest_segment_id` (_string_) If there is only one assignment, and that assignment is an A/B test segment, the id of the A/B test segment. Otherwise, empty.
*   `active` (_boolean_) true if the individual assignment or the multiple assignments are currently active (applicable only for non default schedule assignments i.e. either campaign or A/B test schedule).
*   `active_abtest_assignments` (_array of slot\_configuration\_abtest\_group\_assignment_) A list of currently active A/B tests this is assigned to.
*   `active_campaign_assignments` (_array of slot\_configuration\_campaign\_assignment_) A list of currently active campaigns this is assigned to.
*   `campaign_id` (_string_) If there is only one assignment, and that assignment is a campaign, the id of the campaign. Otherwise, empty.
*   `enabled` (_boolean_)
*   `end_date` (_string (date-time)_) The end date of the container of the assignment (a Campaign or ABTest). If schedule\_type is schedule\_type : "multiple" or schedule\_type : "none", then then result will be null. Also, a null date will also return null.
*   `schedule` (_schedule_) The schedule of the assignment (a Campaign or ABTest). If schedule\_type is schedule\_type : "multiple" or schedule\_type : "none", then then result will be null.
*   `schedule_type` (_string_) If there is only one active assignment, or no active assignments and one upcoming assignment, this is that type of assignment (schedule\_type : "campaign" or schedule\_type : "abtest"). If there are no assignments, it will be schedule\_type : "none", otherwise, schedule\_type : "multiple".  
    Allowed values: `none`, `campaign`, `abtest`, `multiple`.
*   `start_date` (_string (date-time)_) The start date of the container of the assignment (a Campaign or ABTest). If schedule\_type is schedule\_type : "multiple" or schedule\_type : "none", then then result will be null. Also, a null date will also return null.
*   `upcoming_abtest_assignments` (_array of slot\_configuration\_abtest\_group\_assignment_) A list of upcoming A/B tests this is assigned to.
*   `upcoming_campaign_assignments` (_array of slot\_configuration\_campaign\_assignment_) A list of upcoming campaigns this is assigned to.

_Example_

```
{
  "active": false,
  "enabled": false,
  "schedule_type": "none"
}
```

### markup\_text

*   `markup` (_string_) The rendered HTML (read only)
*   `source` (_string_) The raw markup text (only this needs to be provided in update request)

### schedule

Document representing a time schedule for slots.

*   `end_date` (_string (date-time)_) The date to end of validity. ISO8601 date time format: yyyy-MM-dd'T'HH:mm:ssZ.
*   `recurrence` (_recurrence_) The recurrence of the schedule by day of week and time of day. Not all schedules will support a recurrence.
*   `start_date` (_string (date-time)_) The date to start validity. ISO8601 date time format: yyyy-MM-dd'T'HH:mm:ssZ.

_Example_

```
{
  "end_date": "2050-01-01T00:00:00.000Z",
  "start_date": "2000-01-01T00:00:00.000Z"
}
```

### slot\_content

Document representing the content type for a slot.

*   `body` (_object (localized)_) The HTML body (valid only for type 'html').
    
    Additional properties: `markup_text`.
    
*   `category_ids` (_array of string_) The category ids (valid only for type 'categories').
*   `content_asset_ids` (_array of string_) The content asset ids (valid only for type 'content\_assets').
*   `product_ids` (_array of string_) The product ids (valid only for type 'products').
*   `type` (_string_, required) The type of content in the slot.  
    Allowed values: `products`, `categories`, `content_assets`, `html`, `recommended_products`.

_Example_

```
{
  "type": "html"
}
```

### slot\_configuration\_abtest\_group\_assignment

Document representing a SlotConfiguration AB test group assignment

*   `abtest_description` (_string_) The description for the ABTest assigned to the slot configuration in the SlotConfiguration AB test group assignment.
*   `abtest_id` (_string_) The id for the ABTest assigned to the slot configuration in the SlotConfiguration AB test group assignment.
*   `enabled` (_boolean_) True if the ABTest is enabled
*   `schedule` (_schedule_) The schedule information for the ABTest. Recurrence information is not supported.
*   `segment_description` (_string_) The description for the ABTest segment assigned to the slot configuration in the SlotConfiguration AB test group assignment.
*   `segment_id` (_string_) The id for the ABTest segment assigned to the slot configuration in the SlotConfiguration AB test group assignment.

### slot\_configuration\_campaign\_assignment

Document representing a slot\_configuration\_campaign\_assignment

*   `campaign` (_campaign_) The campaign.
*   `campaign_id` (_string_) The id of the campaign that has the slot configuration assigned to it.  
    Minimum length: 1. Maximum length: 256.
*   `context` (_string_, required) The slot context.  
    Allowed values: `global`, `category`, `folder`.
*   `creation_date` (_string (date-time)_)
*   `customer_groups` (_array of string_) The list of customer groups.
*   `description` (_string_) The description of the slot configuration.  
    Maximum length: 4000.
*   `enabled` (_boolean_) True if the assignment resource is enabled
*   `last_modified` (_string (date-time)_)
*   `link` (_string_) The URL to the slot configuration-campaign assignment.
*   `rank` (_integer (int32)_) The rank of the slot confiuration-campaign assignment. This is different than the rank of the slot configuration.  
    Minimum: 1.
*   `schedule` (_schedule_) The schedule of the assignment resource
*   `slot_configuration` (_slot\_configuration_) The slotConfiguration
*   `slot_configuration_id` (_string_, required) The ID of the slot configuration.  
    Minimum length: 1. Maximum length: 256.
*   `slot_configuration_uuid` (_string_) The UUID of the slot configuration.  
    Maximum length: 28.
*   `slot_context_id` (_string_) The ID of the slot's context, for example, the category ID for a slot with category context.  
    Maximum length: 256.
*   `slot_id` (_string_, required) The ID of the slot.  
    Minimum length: 1. Maximum length: 256.

_Example_

```
{
  "campaign_id": "campaign-registered",
  "context": "global",
  "description": "Free Microsoft Zune With Purchase Of $500 Or More In Electronics",
  "enabled": true,
  "link": "https://example.com/s/-/dw/data/{version}/sites/SiteGenesis/slot_configuration_campaign_assignments/campaign-registered",
  "schedule": {},
  "slot_configuration": {
    "assignment_information": {
      "active": true,
      "active_campaign_assignments": {
        "campaign_id": "campaign-registered",
        "context": "global",
        "enabled": true,
        "rank": 40
      }
    }
  },
  "slot_configuration_id": "Promo Zune",
  "slot_configuration_uuid": "bdL6MiWcbpakEaaadkHwIhZj1N",
  "slot_id": "404-promo"
}
```

### recurrence

Document representing a schedule recurrence.

*   `day_of_week` (_array of string_) The days of week for recurrence.  
    Items: Allowed values: `monday`, `tuesday`, `wednesday`, `thursday`, `friday`, `saturday`, `sunday`. Allowed values: `monday`, `tuesday`, `wednesday`, `thursday`, `friday`, `saturday`, `sunday`.
*   `time_of_day` (_time\_of\_day_) The time of the day for recurrence.

_Example_

```
{
  "day_of_week": [
    "thursday",
    "sunday",
    "saturday"
  ],
  "time_of_day": {
    "time_from": "01:14:00",
    "time_to": "20:00:00"
  }
}
```

### campaign

Document representing a campaign.

*   `campaign_id` (_string_) The ID of the campaign.  
    Minimum length: 1. Maximum length: 256.
*   `coupons` (_array of string_) The array of assigned coupon IDs, not sorted
*   `creation_date` (_string (date-time)_, read-only) Returns the value of attribute 'creationDate'.
*   `customer_groups` (_array of string_) The array of assigned customer groups, not sorted
*   `description` (_string (text)_) The description of the campaign.  
    Maximum length: 4000.
*   `enabled` (_boolean_) The enabled flag for campaign.
*   `end_date` (_string (date-time)_) The date that the Scenario ends
*   `last_modified` (_string (date-time)_, read-only) Returns the value of attribute 'lastModified'.
*   `link` (_string_) link for convenience
*   `source_code_groups` (_array of string_) The array of assigned source code groups, not sorted
*   `start_date` (_string (date-time)_) The date that the Scenario begins

_Example_

```
{
  "coupons": [
    "testCoupon"
  ],
  "customer_groups": [
    "Registered"
  ],
  "description": "My Campaign",
  "enabled": true,
  "end_date": "2015-07-31T23:09:08.000Z",
  "link": "https://example.com/s/-/dw/data/{version}/sites/SiteGenesis/campaigns/my-campaign",
  "source_code_groups": [
    "WapiSourceCodeGroup1"
  ],
  "start_date": "2015-04-01T11:30:15.000Z"
}
```

### time\_of\_day

Document representing a time schedule within a single day.

*   `time_from` (_string (time)_) The time to start from. Time format: HH:mm:ss. Seconds are ignored and set to 0.
*   `time_to` (_string (time)_) The time to end on. Time format: HH:mm:ss. Seconds are ignored and set to 0.

_Example_

```
{
  "time_from": "01:14:00",
  "time_to": "20:00:00"
}
```